*"表題   SHALO 力学 初期値作成 GCM5(SDSTRT)
*
*"履歴   90/08/31 沼口  敦
*"       96/11/14 竹広真一
*
*
***********************************************************************
*"        << 格子データをスペクトルへ変換, 格子データ再作成 >>
***********************************************************************
      SUBROUTINE STRTV
     M         ( GDU   , GDV   , GDPHI ,
     O           GDVOR , GDDIV ,
     C           EDEL  , UVFACT,
     W           WDVOR , WDDIV , WDPHI  )
*
#if   SYS_IBMS
      INCLUDE   (ZCDIM)                  !" 格子点数, 波数
#else
#include        "zcdim.F"                    !" 格子点数, 波数
#endif
*
      REAL       GDU   ( IDIM*JDIM, KMAX )   !" 西風  Ｕ
      REAL       GDV   ( IDIM*JDIM, KMAX )   !" 南風  Ｖ
      REAL       GDPHI ( IDIM*JDIM, KMAX )   !" 層厚  φ
      REAL       GDVOR ( IDIM*JDIM, KMAX )   !" 渦度  ζ
      REAL       GDDIV ( IDIM*JDIM, KMAX )   !" 発散  Ｄ
*
*     ------ 球関数展開定数 ----
*
      REAL       EDEL  ( NMDIM  )            !" ζ,Ｄ→Ｕ,Ｖ
      REAL       UVFACT( IDIM*JDIM )         !" u→U のファクター
*
      REAL       WDVOR ( NMDIM , KMAX     )  !" 渦度  ζ
      REAL       WDDIV ( NMDIM , KMAX     )  !" 発散  Ｄ
      REAL       WDPHI ( NMDIM , KMAX     )  !" 層厚  φ
*
*          < 1. 渦度，発散スペクトル  >
*
      CALL GUV2VD
     O         ( WDVOR , WDDIV ,
     I           GDU   , GDV   ,
     C           UVFACT         )
*
*          < 2. 層厚 スペクトル  >
*
      CALL G2W
     O         ( WDPHI ,
     I           GDPHI ,
     I           '    ', 'POSO', KMAX )
*
*          < 5. 格子データ再作成 >
*
      CALL GENGD
     O         ( GDU   , GDV   , GDPHI ,
     O           GDVOR , GDDIV ,
     I           WDVOR , WDDIV , WDPHI ,
     C           EDEL  , UVFACT          )
*
       RETURN
       END
